<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/VectorXYZ.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">VectorXYZ.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;ostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for VectorXYZ.h:</div>
<div class="dyncontent">
<div class="center"><img src="_vector_x_y_z_8h__incl.png" border="0" usemap="#eicd_2_vector_x_y_z_8h" alt=""/></div>
<map name="eicd_2_vector_x_y_z_8h" id="eicd_2_vector_x_y_z_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_vector_x_y_z_8h__dep__incl.png" border="0" usemap="#eicd_2_vector_x_y_z_8hdep" alt=""/></div>
<map name="eicd_2_vector_x_y_z_8hdep" id="eicd_2_vector_x_y_z_8hdep">
<area shape="rect" id="node2" href="_calorimeter_hit_data_8h.html" title="eicd/CalorimeterHitData.h" alt="" coords="528,80,701,107"/>
<area shape="rect" id="node4" href="_calorimeter_hit_const_8h.html" title="eicd/CalorimeterHitConst.h" alt="" coords="773,229,953,256"/>
<area shape="rect" id="node5" href="_calorimeter_hit_8h.html" title="eicd/CalorimeterHit.h" alt="" coords="874,304,1019,331"/>
<area shape="rect" id="node3" href="_calorimeter_hit_obj_8h.html" title="eicd/CalorimeterHitObj.h" alt="" coords="532,155,697,181"/>
<area shape="rect" id="node6" href="_calorimeter_hit_8cc.html" title="src/CalorimeterHit.cc" alt="" coords="735,453,881,480"/>
<area shape="rect" id="node7" href="_calorimeter_hit_collection_8h.html" title="eicd/CalorimeterHitCollection.h" alt="" coords="495,379,697,405"/>
<area shape="rect" id="node9" href="_calorimeter_hit_const_8cc.html" title="src/CalorimeterHitConst.cc" alt="" coords="249,453,431,480"/>
<area shape="rect" id="node30" href="_calorimeter_hit_obj_8cc.html" title="src/CalorimeterHitObj.cc" alt="" coords="429,229,595,256"/>
<area shape="rect" id="node11" href="_cluster_obj_8h.html" title="eicd/ClusterObj.h" alt="" coords="1187,379,1309,405"/>
<area shape="rect" id="node12" href="_cluster_const_8h.html" title="eicd/ClusterConst.h" alt="" coords="981,453,1120,480"/>
<area shape="rect" id="node13" href="_cluster_8h.html" title="eicd/Cluster.h" alt="" coords="943,528,1046,555"/>
<area shape="rect" id="node8" href="_calorimeter_hit_collection_8cc.html" title="src/CalorimeterHitCollection.cc" alt="" coords="506,453,710,480"/>
<area shape="rect" id="node10" href="_cluster_collection_8cc.html" title="src/ClusterCollection.cc" alt="" coords="267,692,429,719"/>
<area shape="rect" id="node14" href="_cluster_8cc.html" title="src/Cluster.cc" alt="" coords="943,692,1047,719"/>
<area shape="rect" id="node15" href="_cluster_collection_8h.html" title="eicd/ClusterCollection.h" alt="" coords="914,610,1075,637"/>
<area shape="rect" id="node16" href="_cluster_const_8cc.html" title="src/ClusterConst.cc" alt="" coords="1195,692,1333,719"/>
<area shape="rect" id="node18" href="_cluster_obj_8cc.html" title="src/ClusterObj.cc" alt="" coords="1151,610,1275,637"/>
<area shape="rect" id="node19" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="609,603,788,644"/>
<area shape="rect" id="node20" href="_reconstructed_particle_const_8h.html" title="eicd/ReconstructedParticle\lConst.h" alt="" coords="5,767,184,808"/>
<area shape="rect" id="node21" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="454,692,645,719"/>
<area shape="rect" id="node17" href="_reconstructed_particle_collection_8cc.html" title="src/ReconstructedParticle\lCollection.cc" alt="" coords="1021,856,1195,897"/>
<area shape="rect" id="node22" href="_reconstructed_particle_8cc.html" title="src/ReconstructedParticle.cc" alt="" coords="241,863,431,890"/>
<area shape="rect" id="node23" href="_reconstructed_particle_collection_8h.html" title="eicd/ReconstructedParticle\lCollection.h" alt="" coords="892,767,1071,808"/>
<area shape="rect" id="node24" href="_reconstructed_particle_const_8cc.html" title="src/ReconstructedParticle\lConst.cc" alt="" coords="579,856,752,897"/>
<area shape="rect" id="node26" href="_reconstructed_particle_obj_8cc.html" title="src/ReconstructedParticle\lObj.cc" alt="" coords="593,767,767,808"/>
<area shape="rect" id="node29" href="_vertex_obj_8cc.html" title="src/VertexObj.cc" alt="" coords="35,863,155,890"/>
<area shape="rect" id="node27" href="_vertex_8cc.html" title="src/Vertex.cc" alt="" coords="418,774,518,801"/>
<area shape="rect" id="node28" href="_vertex_const_8cc.html" title="src/VertexConst.cc" alt="" coords="259,774,394,801"/>
<area shape="rect" id="node25" href="_vertex_collection_8cc.html" title="src/VertexCollection.cc" alt="" coords="838,863,997,890"/>
</map>
</div>
</div>
<p><a href="_vector_x_y_z_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:abf61b67b875cfde0d13cecf4eee036db"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#abf61b67b875cfde0d13cecf4eee036db">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a> &amp;value)</td></tr>
<tr class="separator:abf61b67b875cfde0d13cecf4eee036db"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
